# ban - Irssi 1.1 documentation

Skip to content
Hide navigation sidebar
Hide table of contents sidebar
Back to top
Page source
Toggle table of contents sidebar

Important

You are reading the help for Irssi 1.1. The current release version is Neırssi 1.3.

# ban

## Syntax

    BAN [<channel>] [<nicks>]

    BAN [-normal | -user | -host | -domain | -custom <type>] <nicks/masks>

## Parameters

`-normal`: | Uses the *!*user@*.domain.tld format.
`-user`: | Uses the *!*user@* format.
`-host`: | Uses the *!*@host.domain.tld format.
`-domain`: | Uses the *!*@*.domain.tld format.
`-custom`: | Uses the custom format.

A channel and the nicknames or hostnames to ban; if no arguments are given the bans in the active channel are displayed.

If no ban format parameter is given, the value of the ban_type setting will be used to generate the hostmask to ban.

## Description

Adds one or more bans to a channel.

## Configuring the custom format

You must set the custom ban_type to the format you would like to use. For example, if you set the custom ban_type to ‘nick domain’, it will generate a ban based on the nick!*@*.domain.tld format.

## Examples

    /BAN
    /BAN mike
    /BAN -host bob
    /BAN *!*@*.irssi.org
    /BAN -domain sarah

    /SET ban_type custom nick domain
    /SET ban_type custom user host

## See also

DEOP, KICKBAN, KNOCKOUT, OP, UNBAN